Get elements by namespaceURI and localName

- « DOMElement::getElementsByTagName

- DOMElement::hasAttribute »

- PHP Manual
- DOMElement
- Get elements by namespaceURI and localName

# DOMElement::getElementsByTagNameNS

(PHP 5, PHP 7, PHP 8)

DOMElement::getElementsByTagNameNS — Get elements by namespaceURI and localName

### Description

public DOMElement::getElementsByTagNameNS(?string `$namespace`, string `$localName`): DOMNodeList

This function fetch all the descendant elements with a given `localName` and `namespace`.

### Parameters

`namespace`

  The namespace URI of the elements to match on. The special value `"*"` matches all namespaces. Passing `null` matches the empty namespace.

`localName`

  The local name of the elements to match on. The special value `"*"` matches all local names.

### Return Values

This function returns a new instance of the class DOMNodeList of all matched elements in the order in which they are encountered in a preorder traversal of this element tree.

### Changelog

Version | Description
--- | ---
8.0.3 | `namespace` is nullable now.

### See Also

- DOMElement::getElementsByTagName() - Gets elements by tagname